org.apache.olingo.odata2.api.edm.provider

## Class Facets

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Facets

- All Implemented Interfaces:
    EdmFacets

      public class Facets
      extends Object
      implements EdmFacets

  Objects of this class represent the facets an entity type, property or function import can have

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Facets()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollation()` Get the sorting sequence to be used.
    `EdmConcurrencyMode` | `getConcurrencyMode()` Get the information if the value of the type in use should be used for optimistic concurrency checks.
    `String` | `getDefaultValue()` Get the default value of the type in use
    `Integer` | `getMaxLength()` Get the maximum length of the type in use
    `Integer` | `getPrecision()` Get the precision of the type in use
    `Integer` | `getScale()` Get the scale of the type in use
    `Boolean` | `isFixedLength()` Get the information if the type in has a fixed length
    `Boolean` | `isNullable()` Get the information if the type in use is nullable
    `Boolean` | `isUnicode()` Get the information if UNICODE or ASCII characters are used.
    `Facets` | `setCollation(String collation)` Sets the collation of this `Facets`
    `Facets` | `setConcurrencyMode(EdmConcurrencyMode concurrencyMode)` Sets the `EdmConcurrencyMode` of this `Facets`
    `Facets` | `setDefaultValue(String defaultValue)` Sets the default value of this `Facets`
    `Facets` | `setFixedLength(Boolean fixedLength)` Sets the fixed length of this `Facets`
    `Facets` | `setMaxLength(Integer maxLength)` Sets the maximum length of this `Facets`
    `Facets` | `setNullable(Boolean nullable)` Sets if this `Facets` is nullable
    `Facets` | `setPrecision(Integer precision)` Sets the precision of this `Facets`
    `Facets` | `setScale(Integer scale)` Sets the scale of this `Facets`
    `Facets` | `setUnicode(Boolean unicode)` Sets if this `Facets` is in Unicode
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Facets

          public Facets()

  - ### Method Detail

    - #### isNullable

          public Boolean isNullable()

      Description copied from interface: `EdmFacets`
      Get the information if the type in use is nullable
      Specified by:
        `isNullable` in interface `EdmFacets`
      Returns:
        `true` if the type in use is nullable

    - #### getDefaultValue

          public String getDefaultValue()

      Description copied from interface: `EdmFacets`
      Get the default value of the type in use
      Specified by:
        `getDefaultValue` in interface `EdmFacets`
      Returns:
        a default value of the type in use as String

    - #### getMaxLength

          public Integer getMaxLength()

      Description copied from interface: `EdmFacets`
      Get the maximum length of the type in use
      Specified by:
        `getMaxLength` in interface `EdmFacets`
      Returns:
        the maximum length of the type in use as Integer

    - #### isFixedLength

          public Boolean isFixedLength()

      Description copied from interface: `EdmFacets`
      Get the information if the type in has a fixed length
      Specified by:
        `isFixedLength` in interface `EdmFacets`
      Returns:
        `true` if the type in use has a fixed length

    - #### getPrecision

          public Integer getPrecision()

      Description copied from interface: `EdmFacets`
      Get the precision of the type in use
      Specified by:
        `getPrecision` in interface `EdmFacets`
      Returns:
        the precision of the type in use as Integer

    - #### getScale

          public Integer getScale()

      Description copied from interface: `EdmFacets`
      Get the scale of the type in use
      Specified by:
        `getScale` in interface `EdmFacets`
      Returns:
        the scale of the type in use as Integer

    - #### isUnicode

          public Boolean isUnicode()

      Description copied from interface: `EdmFacets`
      Get the information if UNICODE or ASCII characters are used. Default is UNICODE.
      Specified by:
        `isUnicode` in interface `EdmFacets`
      Returns:
        `true` if UNICODE characters are used

    - #### getCollation

          public String getCollation()

      Description copied from interface: `EdmFacets`
      Get the sorting sequence to be used.
      Specified by:
        `getCollation` in interface `EdmFacets`
      Returns:
        the sorting sequence as String

    - #### getConcurrencyMode

          public EdmConcurrencyMode getConcurrencyMode()

      Description copied from interface: `EdmFacets`
      Get the information if the value of the type in use should be used for optimistic concurrency checks.
      Specified by:
        `getConcurrencyMode` in interface `EdmFacets`
      Returns:
        `EdmConcurrencyMode`

    - #### setNullable

          public Facets setNullable(Boolean nullable)

      Sets if this `Facets` is nullable
      Parameters:
        `nullable` -
      Returns:
        `Facets` for method chaining

    - #### setFixedLength

          public Facets setFixedLength(Boolean fixedLength)

      Sets the fixed length of this `Facets`
      Parameters:
        `fixedLength` -
      Returns:
        `Facets` for method chaining

    - #### setUnicode

          public Facets setUnicode(Boolean unicode)

      Sets if this `Facets` is in Unicode
      Parameters:
        `unicode` -
      Returns:
        `Facets` for method chaining

    - #### setDefaultValue

          public Facets setDefaultValue(String defaultValue)

      Sets the default value of this `Facets`
      Parameters:
        `defaultValue` -
      Returns:
        `Facets` for method chaining

    - #### setMaxLength

          public Facets setMaxLength(Integer maxLength)

      Sets the maximum length of this `Facets`
      Parameters:
        `maxLength` -
      Returns:
        `Facets` for method chaining

    - #### setPrecision

          public Facets setPrecision(Integer precision)

      Sets the precision of this `Facets`
      Parameters:
        `precision` -
      Returns:
        `Facets` for method chaining

    - #### setScale

          public Facets setScale(Integer scale)

      Sets the scale of this `Facets`
      Parameters:
        `scale` -
      Returns:
        `Facets` for method chaining

    - #### setCollation

          public Facets setCollation(String collation)

      Sets the collation of this `Facets`
      Parameters:
        `collation` -
      Returns:
        `Facets` for method chaining

    - #### setConcurrencyMode

          public Facets setConcurrencyMode(EdmConcurrencyMode concurrencyMode)

      Sets the `EdmConcurrencyMode` of this `Facets`
      Parameters:
        `concurrencyMode` -
      Returns:
        `Facets` for method chaining

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.